Bug 172359 - rhel-sbs guide says the passwd comand allows you to change your password withouth entering the current password.
rhel-sbs guide says the passwd comand allows you to change your password with...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide (Show other bugs)
5.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Douglas Silas
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-03 06:33 EST by Fernando Ipar
Modified: 2011-02-14 14:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 16:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fernando Ipar 2005-11-03 06:33:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
The text can be found on Chapter 14, page 126 (page 140 in the PDF). 

The paragraph says: 

"If you realize that you have forgotten your password while logged in, you can create a new one
for yourself. Open a shell prompt and enter the command passwd. The passwd
commands asks for the new password, which you will have to enter twice. The next time
you log in, use the new password. "

The passwd command regular behaviour is to ask for the current password first, if the UID is not 0.
I don't have access to a rhel4 machine, but i've verified that this is the same behaviour with whitebox
enterprise linux 4.


Version-Release number of selected component (if applicable):
rhel-sbs-EN-4-Print-RHI (2005-02-16T01:05)

How reproducible:
Always

Steps to Reproduce:
1. Read the specified manual page
  

Additional info:
Comment 1 Melissa Goldin 2006-05-04 09:08:34 EDT
Mass adding keyword 'Documentation' to all bugs
Comment 4 Don Domingo 2007-03-20 19:41:04 EDT
assigning this bug to jha@redhat.com for processing
Comment 5 Michael Hideo 2007-06-06 00:42:23 EDT
Adding 'cc ecs-dev-list@redhat.com for tracking
Comment 6 Michael Hideo 2007-10-22 22:43:48 EDT
Removing automation notification
Comment 7 Douglas Silas 2010-09-01 16:42:12 EDT
Inapplicable to the Deployment Guide (incorrect sentence not present); closing.

Note You need to log in before you can comment on or make changes to this bug.